function Yb = create_Yb(Bus_Data,Branch_Data)

% Odredjivanje broja cvorova i broja grana

Number_of_Buses = size(Bus_Data,1) ; 
Number_of_Branches = size(Branch_Data,1) ; 

% Priprema podataka za proracun

From_Bus = Branch_Data(:,1) ; 
To_Bus = Branch_Data(:,2) ; 
R = Branch_Data(:,3) ; 
X = Branch_Data(:,4) ;
Z_branch = R + sqrt(-1)*X ; 
Y_branch = 1./Z_branch ; 
B = Branch_Data(:,5) ; 

% Inicijalizacija matrice admitansi cvorova

Yb = zeros(Number_of_Buses) ; 

% Popunjavanje elemenata matrice admitansi cvorova

for i = 1 : Number_of_Branches

    % Vandijagonalni elementi
    
    Yb(From_Bus(i),To_Bus(i)) = Yb(From_Bus(i),To_Bus(i)) - Y_branch(i) ;
    Yb(To_Bus(i),From_Bus(i)) = Yb(To_Bus(i),From_Bus(i)) - Y_branch(i) ; 
    
    % Dijagonalni elementi
    
    Yb(From_Bus(i),From_Bus(i)) = Yb(From_Bus(i),From_Bus(i)) + Y_branch(i) + ...
        sqrt(-1)*B(i)/2 ; 
    Yb(To_Bus(i),To_Bus(i)) = Yb(To_Bus(i),To_Bus(i)) + Y_branch(i) + ...
        sqrt(-1)*B(i)/2 ; 
    
end

end